%define pname     remote
%define plugindir %(vdr-config --plugindir  2>/dev/null || echo ERROR)
%define apiver    %(vdr-config --apiversion 2>/dev/null || echo ERROR)

Name:           vdr-%{pname}
Version:        0.4.0
Release:        3
Summary:        Extended remote control plugin for VDR

Group:          Multimedia/VDR
License:        GPL
URL:            http://www.escape-edv.de/endriss/vdr/
Source0:        http://www.escape-edv.de/endriss/vdr/%{name}-%{version}.tgz
Source1:        %{name}.conf
Patch0:         http://zap.tartarus.org/~ds/debian/dists/unstable/main/source/vdr-plugin-remote_0.4.0-8.diff.gz
Patch1:		remote-destdir.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  vdr-devel >= 1.6.0
Requires:       vdr(abi) = %{apiver}

%description
This plugin extends VDR's remote control capabilities, adding support
for Linux input devices, keyboards (tty), TCP connections, and LIRC.


%prep
%setup -q -n %{pname}-%{version}
%patch0 -p1
patch -p1 -i debian/patches/90_remote-0.4.0-1.5.7.dpatch
#patch -p1 -i debian/patches/02_no_abort.dpatch
#patch -p1 -i debian/patches/03_eventX.dpatch
#sed -i -e 's/0\.3\.8/0.3.9/g' debian/patches/04_constness.dpatch
#patch -p1 -i debian/patches/04_constness.dpatch
%patch1
sed -i -e 's|include Make.config|include $(VDRDIR)/Make.config|' Makefile
for f in CONTRIBUTORS HISTORY ; do
    iconv -f iso-8859-1 -t utf-8 $f > $f.utf-8 ; mv $f.utf-8 $f
done


%build
make %{?_smp_mflags} LIBDIR=. VDRDIR=%{_libdir}/vdr DESTDIR=$RPM_BUILD_ROOT all

%install
rm -rf $RPM_BUILD_ROOT
#make install LIBDIR=. VDRDIR=%{_libdir}/vdr DESTDIR=$RPM_BUILD_ROOT # ugh
make %{?_smp_mflags} LIBDIR=. VDRDIR=%{_libdir}/vdr DESTDIR=$RPM_BUILD_ROOT all
install -dm 755 $RPM_BUILD_ROOT%{plugindir}
install -pm 755 libvdr-%{pname}.so.%{apiver} $RPM_BUILD_ROOT%{plugindir}
install -Dpm 644 %{SOURCE1} \
  $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/vdr-plugins.d/%{pname}.conf


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc CONTRIBUTORS COPYING FAQ HISTORY README
%config(noreplace) %{_sysconfdir}/sysconfig/vdr-plugins.d/%{pname}.conf
%{plugindir}/libvdr-%{pname}.so.%{apiver}
%_libdir/vdr/locale

%changelog
* Thu Mar 27 2008 Christian Wasem <wasem@ccux-linux.de> 0.4.0-3
- rebuild, VDR 1.6.0
* Sun Mar 16 2008 Christian Wasem <wasem@ccux-linux.de> 0.4.0-2
- rebuild, VDR 1.5.18
* Sun Jan 20 2008 Christian Metzen <metzench@ccux-linux.de> 0.4.0-1
- Version update / vdr 1.5.13
* Sat Aug 25 2007 Christian Wasem <wasem@ccux-linux.de> 0.3.9-2
- rebuild against latest vdr package
* Wed Mar 07 2007 Christian Metzen <metzench@ccux-linux.de> 0.3.9-1
- Initial release